I just updated an old Wordpress site to the new Wordpress. Before I did that the systems guys had to upgrade PHP to 5.3.21. There's a custom plugin on the site which does an ajax call to a php module which spits out JSON. I didn't touch the plugin.

That plugin works on my machine - no problem - which is running php 5.3.19. It also works on my hosting service which is running php 5.2.something.

I looked in Firebug and saw that I was getting a 404 not found on the php module which is called through Ajax. The module is there. I get a "File not found" if I let the module spit out a header with a content type of "text/x-json" and run it directly. If I comment that out the module does spit out json code. It's very odd.

I've tried changing the content type to "application/json" , but that doesn't work either.

Is there anything on the server side that can be done to get this module recognized?